A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Namespaces | Functions
exception.h File Reference
`#include <ostream>`
`#include <af/defines.h>`

Go to the source code of this file.

## Data Structures
class | exception
| An ArrayFire exception class. More...

## Namespaces
namespace | af

## Functions
AFAPI void | af_get_last_error (char **msg, dim_t *len)
| Returns the last error message that occurred and its error message.
AFAPI const char * | af_err_to_string (const af_err err)
| Converts the af_err error code to its string representation.

## Function Documentation

## ◆ af_err_to_string()

AFAPI const char * af_err_to_string | ( | const af_err | err | ) |

Converts the af_err error code to its string representation.

Parameters

  [in] | err | The ArrayFire error code

## ◆ af_get_last_error()

AFAPI void af_get_last_error | ( | char ** | msg,
|  | dim_t * | len )

Returns the last error message that occurred and its error message.

Parameters

  [out] | msg | The message of the previous error
  [out] | len | The number of characters in the msg object